For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
      • POSTInvites a user to the workspace.
      • POSTAccepts the invitation with the invitation code.
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceInvitations

Invites a user to the workspace.

POST
https://api.awork.com/api/v1/invitations
POST
/api/v1/invitations
$curl -X POST https://api.awork.com/api/v1/invitations \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Successful
1{
2 "invitationCode": "b7f3d9a1c2e4f5g6h7i8j9k0l1m2n3o4",
3 "passwordResetCode": "x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5k4",
4 "userId": "9f8e7d6c-5b4a-3210-9fed-cba987654321",
5 "workspace": {
6 "allowSocialLogin": true,
7 "allowCredentialsLogin": true,
8 "name": "NCNSTN Creative Agency",
9 "description": "We create awesome digital experiences.",
10 "language": "de-DE",
11 "type": "creative-agency",
12 "size": "15",
13 "goals": [
14 "Increase client satisfaction",
15 "Expand market reach",
16 "Enhance team collaboration"
17 ],
18 "selfAttribution": "Referral from industry partner",
19 "previousTool": "Trello",
20 "department": "Marketing",
21 "allowAutomaticScimUserBooking": true,
22 "sameDomainSignupEnabled": true,
23 "sameDomainSignupRoleId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
24 "sameDomainSignupDomains": [
25 "ncnstn.com",
26 "creative.ncnstn.com"
27 ],
28 "requireMfa": true,
29 "skipCreateDefaultWorkspaceData": false,
30 "id": "123e4567-e89b-12d3-a456-426614174000",
31 "subdomains": [
32 {
33 "name": "ncnstn",
34 "isDefault": true
35 },
36 {
37 "name": "creative",
38 "isDefault": false
39 }
40 ],
41 "memberCount": 25,
42 "lastUsed": true,
43 "lastLogin": "2024-04-20T14:45:00Z",
44 "accountIds": [
45 "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
46 "b2c3d4e5-f678-90ab-cdef-1234567890ab"
47 ],
48 "hasImage": true,
49 "createdOn": "2023-11-01T08:00:00Z",
50 "createdBy": "9f8e7d6c-5b4a-3210-9fed-cba987654321",
51 "updatedOn": "2024-04-15T10:30:00Z",
52 "updatedBy": "8e7d6c5b-4a32-109f-edcb-a9876543210f",
53 "isTestWorkspace": false,
54 "isApproved": true,
55 "allowSSOLogin": true,
56 "isScimActivated": true,
57 "virtualMRR": 1250.75,
58 "isMobileSignup": false,
59 "isFreeMail": false,
60 "isJoinable": true,
61 "isFull": false
62 }
63}
Invites the user with the email address to the workspace with the specified id. Sends an invitation email to the user with a link to accept the invitation. For automated invitation flows, sending the email can be skipped by setting the 'skipSendingEmail' flag to 'true'. Additionally, the invitation code, which is valid for 24 hours, is returned so that the caller can accept the invitation right away.
Was this page helpful?
Previous

Accepts the invitation with the invitation code.

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

The model to invite a user to the workspace.
workspaceIdstring or nullOptionalformat: "uuid"
The id of the workspace to invite the user to. If not set, a new workspace will be created.
invitationFlowstring or nullOptional

The current invitation flow. Use ‘invite’ for an invitation from a system admin, ‘new_user_new_workspace’ for an invitation when creating a workspace for a new user or ‘existing_user_new_workspace’ when creating a workspace for an existing user.

roleIdstring or nullOptionalformat: "uuid"
The id of the role to which the new user should be added.
connectInviteCodestring or nullOptional
The awork connect invite code.
passcodestring or nullOptional
The bot prevention passcode.
emailstring or nullOptional
The email of the user to be invited.
passwordstring or nullOptional
The Password of the user to be invited.
firstNamestring or nullOptional
The first name of the user to be invited.
lastNamestring or nullOptional
The last name of the user to be invited.
titlestring or nullOptional
The title of the user to be invited.
positionstring or nullOptional
The position of the user to be invited.
genderstring or nullOptional
The gender of the user to be invited. Can be 'male', 'female' or 'other'.
skipSendingEmailbooleanOptional
If set to true, skips sending the welcome email. Important for batch invites.
teamIdslist of strings or nullOptional
The list of team ids where the user should be assigned to.
bookedSeatsinteger or nullOptional
The amount of booked seats.

Response

OK
invitationCodestring or null
The invitation code that is used to confirm the invitation. The code is valid for 24 hours.
passwordResetCodestring or null
A code that is used to reset the user's password.
userIdstringformat: "uuid"
The id of the user that has been invited.
workspaceobject
The workspace GET model.